mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Obsolete

Security-critical code is any code that protects sensitive resources and exposes brokered access to the resource to untrusted or partially trusted code by performing the necessary elevation of privilege operations.

Specifies the scope of a .

- Field
  2.0.0.0
  4.0.0.0
  System.Security.SecurityCriticalScope

  The attribute applies to all code that follows it.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.SecurityCriticalScope

  The attribute applies only to the immediate target.